# Uses of Interface
net.sourceforge.jiu.data.RGB48Image

Packages that use RGB48Image
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of RGB48Image in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs with parameters of type RGB48Image
Modifier and Type
Method
Description
`private void`
PNMCodec.`save(RGB48Image image)`

## Uses of RGB48Image in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type RGB48Image
Modifier and Type
Method
Description
`private void`
PromotionRGB48.`process(BilevelImage in, RGB48Image out)`
`private void`
PromotionRGB48.`process(Gray16Image in, RGB48Image out)`
`private void`
PromotionRGB48.`process(Gray8Image in, RGB48Image out)`
`private void`
PromotionRGB48.`process(Paletted8Image in, RGB48Image out)`
`private void`
PromotionRGB48.`process(RGB24Image in, RGB48Image out)`

## Uses of RGB48Image in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type RGB48Image
Modifier and Type
Method
Description
`private void`
AutoDetectColorType.`createPaletted8FromRgb48(RGB48Image in)`
`private void`
AutoDetectColorType.`createRgb24FromRgb48(RGB48Image in, RGB24Image out)`
`private boolean`
AutoDetectColorType.`isRgb48Gray8(RGB48Image in)`
`private boolean`
AutoDetectColorType.`isRgb48Paletted8(RGB48Image in)`
Assumes that it has already been verified that the input 48 bpp RGB image is also a 24 bpp RGB image.
`private boolean`
AutoDetectColorType.`isRgb48Rgb24(RGB48Image in)`
`private void`
RGBToGrayConversion.`process(RGB48Image in)`

## Uses of RGB48Image in net.sourceforge.jiu.data

Classes in net.sourceforge.jiu.data that implement RGB48Image
Modifier and Type
Class
Description
`class`
`MemoryRGB48Image`
A class to store 48 bit RGB truecolor images in memory.

## Uses of RGB48Image in net.sourceforge.jiu.gui.awt

Methods in net.sourceforge.jiu.gui.awt with parameters of type RGB48Image
Modifier and Type
Method
Description
`static Image`
ImageCreator.`convertToAwtImage(RGB48Image image, int alpha)`